
Foreman - Bug #8851

Loading seed file of plugins with dash in name fails

01/07/2015 03:55 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Plugin integration   

Target version: 1.7.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2051

  

Description

Running db:seed rake task does not load seed files from engines (plugins) that contains dash in their name (e.g. foreman-tasks).

Here's the trace from log (no other is displayed to user).

wrong constant name Foreman-tasks

/home/ares/.rbenv/versions/2.0.0-p247/lib/ruby/gems/2.0.0/gems/activesupport-3.2.21/lib/active_sup

port/inflector/methods.rb:230:in `const_defined?'

/home/ares/.rbenv/versions/2.0.0-p247/lib/ruby/gems/2.0.0/gems/activesupport-3.2.21/lib/active_sup

port/inflector/methods.rb:230:in `block in constantize'

/home/ares/.rbenv/versions/2.0.0-p247/lib/ruby/gems/2.0.0/gems/activesupport-3.2.21/lib/active_sup

port/inflector/methods.rb:229:in `each'

/home/ares/.rbenv/versions/2.0.0-p247/lib/ruby/gems/2.0.0/gems/activesupport-3.2.21/lib/active_sup

port/inflector/methods.rb:229:in `constantize'

/home/ares/.rbenv/versions/2.0.0-p247/lib/ruby/gems/2.0.0/gems/activesupport-3.2.21/lib/active_sup

port/core_ext/string/inflections.rb:54:in `constantize'

/home/ares/Projekty/Zdrojaky/foreman/db/seeds.rb:55:in `block in <top (required)>'

/home/ares/Projekty/Zdrojaky/foreman/db/seeds.rb:53:in `each'

/home/ares/Projekty/Zdrojaky/foreman/db/seeds.rb:53:in `<top (required)>'

 The fix is trivial, PR will follow.

Related issues:

Related to Foreman - Bug #9141: Problems with asset precompilation with dash ... Resolved 01/28/2015

Associated revisions

Revision 01652bbe - 01/07/2015 06:43 AM - Marek Hulán

Fixes #8851 - support seed files of plugin with dash in name

Revision 9496e262 - 01/27/2015 10:55 AM - Marek Hulán

Fixes #8851 - support seed files of plugin with dash in name

(cherry picked from commit 01652bbe92a9824a82fcfd6a4f98d61478e52b52)

History

#1 - 01/07/2015 03:59 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2051 added

- Pull request deleted ()

#2 - 01/07/2015 07:01 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset 01652bbe92a9824a82fcfd6a4f98d61478e52b52.

#3 - 01/07/2015 07:05 AM - Dominic Cleal

- Category set to Plugin integration

- translation missing: en.field_release set to 30

#4 - 01/28/2015 05:57 AM - Anonymous

- Related to Bug #9141: Problems with asset precompilation with dash in plugin name added
